nVidia 304 broken in Wheezy?

Post questions regarding lower-level issues will here.

nVidia 304 broken in Wheezy?

Postby Sephiroth » August 2nd, 2015, 2:18 pm

I am setting up a laptop for a friend. I chose Wheezy to avoid systemd and chose Debian over Gentoo to avoid regular updates and such. However, I can NOT get the 304.125 driver to install. Everything I try gives me broken dependencies. This is a fresh install, not an old one. How do I fix this?
Code: Select all
root@dk59lb1:~# aptitude --with-recommends install nvidia-legacy-304xx-kernel-dkms dkms nvidia-installer-cleanup
The following NEW packages will be installed:
  dkms libgl1-nvidia-legacy-304xx-glx{ab} nvidia-installer-cleanup
  nvidia-kernel-common{a} nvidia-legacy-304xx-alternative{ab}
  nvidia-legacy-304xx-driver{a} nvidia-legacy-304xx-kernel-dkms
  nvidia-settings-legacy-304xx{a} nvidia-support{a} pkg-config{a}
  xserver-xorg-video-nvidia-legacy-304xx{a}
0 packages upgraded, 11 newly installed, 0 to remove and 0 not upgraded.
Need to get 25.6 MB of archives. After unpacking 79.2 MB will be used.
The following packages have unmet dependencies:
 nvidia-legacy-304xx-alternative : Depends: glx-alternative-nvidia (>= 0.4) but it is not going to be installed.
 libgl1-nvidia-legacy-304xx-glx : Depends: nvidia-installer-cleanup (>= 20130816) but 20120630+3 is to be installed.
The following actions will resolve these dependencies:

     Keep the following packages at their current version:                     
1)     libgl1-nvidia-legacy-304xx-glx [Not Installed]                           
2)     nvidia-legacy-304xx-alternative [Not Installed]                         
3)     nvidia-legacy-304xx-driver [Not Installed]                               
4)     nvidia-legacy-304xx-kernel-dkms [Not Installed]                         
5)     nvidia-settings-legacy-304xx [Not Installed]                             
6)     xserver-xorg-video-nvidia-legacy-304xx [Not Installed]                   

     Leave the following dependencies unresolved:                               
7)     nvidia-settings-legacy-304xx recommends libgl1-nvidia-legacy-304xx-glx   
8)     nvidia-legacy-304xx-kernel-dkms recommends nvidia-legacy-304xx-driver (>=
9)     xserver-xorg-video-nvidia-legacy-304xx recommends nvidia-legacy-304xx-dri


Accept this solution? [Y/n/q/?]

If I try installing glx-alternative-nvidia it moans about 0.2.2 instead of 0.4. I am lost this time. How do you install 304.125 on Debian Wheezy?
Owyn: "This next one is a high elf sorceress or something, just get in close and stab her a few times, that'll teach her!"
Owyn: "I heard a rumor that you're an idiot. Is that true?"
Cicero: "Stab you, stab you, stab you!"
Psycho: "You sat in my swing, now I'm going to eat you!"
Psycho: "I think he's gonna' play xylophone with my spinal cord!"
Sephiroth
 
Posts: 387
Joined: February 22nd, 2011, 3:09 pm
Location: North Carolina

Re: nVidia 304 broken in Wheezy?

Postby nauved » August 2nd, 2015, 4:02 pm

Last time I set up an nVidia driver I let sgfxi do it for me. But I haven't used it since the board the card was on failed. New board is using on-board graphics on Wheezy. Check their forum for the latest news . . .
May the FORK be with you!
nauved
 
Posts: 81
Joined: January 26th, 2015, 7:42 am

Re: nVidia 304 broken in Wheezy?

Postby Sephiroth » August 3rd, 2015, 1:02 pm

It appears to be broken. Something with dependencies is borked. I solved it by downloading 304.125 from nVidia. In other words, the official driver just worked. Laptop runs great now!
Owyn: "This next one is a high elf sorceress or something, just get in close and stab her a few times, that'll teach her!"
Owyn: "I heard a rumor that you're an idiot. Is that true?"
Cicero: "Stab you, stab you, stab you!"
Psycho: "You sat in my swing, now I'm going to eat you!"
Psycho: "I think he's gonna' play xylophone with my spinal cord!"
Sephiroth
 
Posts: 387
Joined: February 22nd, 2011, 3:09 pm
Location: North Carolina


Return to System Issues

Who is online

Users browsing this forum: No registered users and 1 guest

x